Delegated Access Requests

List Delegated Access Requests

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
granteestring · nullableOptional

Filters results to requests made for the specified user. Accepts a user ID or email address

limitinteger · int32OptionalDefault: 100
page_tokenstring · nullableOptional
statusesstring[] · nullableOptional

Filters results by request status. Supports multiple statuses.

Responses
chevron-right
200

OK

application/json
get
/api/user/v1/delegated-access-requests
200

OK

Get Delegated Access Request

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
chevron-right
200

OK

application/json
idstringRequired

Unique identifier of the access request

statusstringRequired

Current status of the access request

duration_in_secinteger · int32 · nullableOptional

Duration for which access is granted, in seconds

justificationstring · nullableOptional

Reason provided by the user when requesting access

creation_dateall ofRequired

Date and time when the access request was created (ISO 8601 format)

string · date-timeOptional

ISO 8601 formatted date-time

revocation_dateall of · nullableOptional

Timestamp when access was revoked, if applicable (ISO 8601 format)

string · date-timeOptional

ISO 8601 formatted date-time

get
/api/user/v1/delegated-access-requests/{id}
200

OK

Last updated

Was this helpful?